MAXEYE DVB-T2 Signal Generation Toolkit Help

The MAXEYE DVB-T2 Signal generation toolkit contains VIs that can be used for generating signals with National Instruments hardware or generate signals in simulation mode as per the ETSI standard EN 302755 version 1.2.1. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye DVB-T2 Multiple PLP SG Intialize.vi

Creates MaxEye DVB-T2 Generation Handle with the default values and passes the handle to the later VIs.

Generation Handle Name The unique measurement name. For multiple unique measurements within the same session, the name must be unique.

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T2 Generation Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - DVB-T2 Signal Generation

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye DVB-T2 Multiple PLP Combine Waveforms Multiple Carriers.vi

This VI combines the multiple waveform files generated using the example MaxEye DVB-T2 Generate and Save Waveform to File, into a single multi-carrier waveform. Then the waveform is stored in a file using either 8-bit or 16-bit sample width based on the Output Sample Width parameter.

If the Output Waveform File Path for the combined waveform containing multiple carriers is not specified then a file dialog box opens prompting the user to enter the file name.

Carrier Configuration Specifies the Carrier Frequency, Bandwidth, Waveform File Path and Sample Width of the individual waveforms which are to be combined.

Maximum Real-Time Bandwidth (Hz) Specifies the Maximum Real-Time Bandwidth (Hz) of the combined waveform. This value should be less than the maximum bandwidth supported by the hardware.

Output Sample Width Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

Output Waveform File Path (Multiple Carriers) Specifies the Output Waveform File Path. The combined waveform is stored in the file mentioned here.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Center Frequency Indicates the center frequency of the combined waveform.

Output Waveform Sampling Rate Indicates the sampling rate of the combined waveform.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T2 Multiple PLP Set Modulator Input or T2 MI Packet Output File Path 1.vi

Configures the file location for the Modulator Input or T2 MI Packet Output File Path 1 property in DVB-T2 Signal Generation handle. The toolkit ignores this property if the Generation Mode is not T2 Modulator or T2 Gateway.

Toolkit reports an error if the Generation Mode is T2 Modulator or T2 Gateway and there is no file path.

DVB-T2 Generation Handle In

Waveform File Path Specifies file location for the Modulator Input File Path property in DVB-T2 Signal Generation handle. The toolkit ignores this property if the Generation Mode is not T2 Modulator.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Modulator Input or T2 MI Packet Output File Path 2.vi

Configures the file location for the T2-MI Packet File Path 2 property in DVB-T2 Signal Generation handle. The toolkit ignores this property if the Generation Mode is not T2 Modulator.

Toolkit reports an error if the Generation Mode is T2 Gateway and T2 Profile Mode is T2 Base + T2 Lite then there is no file path.

DVB-T2 Generation Handle In

Waveform File Path specifies the file location for the T2-MI Packet File Path 2. The toolkit ignores this property if the Generation Mode is not T2 Modulator.

Toolkit reports an error if the Generation Mode is T2 Gateway and T2 Profile Mode is T2 Base + T2 Lite then there is no file path.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 RFSG Multiple PLP Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-T2 Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the DVBT2 waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

DVB-T2 Generation Handle In

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

DVB-T2 Generation Handle Out

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Create and Save Waveform.vi

Perfoms the following.

i. Checks the configuration parameters in the DVB-T2 Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the DVB-T2 waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

DVB-T2 Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

Waveform lentgh in Samples specifies the waveform Length in samples that is saved into the file

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Read Waveform From File I8.vi

This VI reads the DVB-T2 waveform from the given file location based on the value configured in the count input parameter. The number of bytes read from the file is equal to the value of the count. The data is read continuously from the file.

The default value of the count is 1.

refnum in can be a refnum or absolute file path. If it is a path, this function opens the file specified by the path. The default is to display a file dialog box and prompt you to select a file.

count (1) specifies the number of data elements to read. Data elements can be bytes or instances of data type. The function returns count data elements in data, or if it reaches the end of the file, it returns all the complete data elements read thus far and an end-of-file error. By default, the function returns a single data element. If count is –1, the function reads the entire file. If count is less than –1, the function returns an error.

Sample Width specifies the Sample Width of the generated waveform. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out is the refnum of the file that the function read. You can wire this output to another file function, depending on what you want to do with the file. The default is to close the file if it is referenced by a file path or selected from the file dialog box. If file is a refnum or if you wire refnum out to another function, LabVIEW assumes that the file is still in use until you close it.

Waveform contains the data read from the file in the specified data type. It can consist of a string, an array, a cluster of arrays, or a cluster array, depending on which data type you are reading and how count is set.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Progress Bar Control Refnum.vi

Configures the control refnum in the DVB-T2 Signal Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

DVB-T2 Generation Handle In

Progress Bar Control RefNum specifies the control refnum for progress status bar update in the user front panel.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Waveform File Path.vi

Configures the file location for the Waveform File Path or T2-MI Packet File Path property in DVB-T2 Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye DVB-T2 RFSG Create and Save Waveform API VI is used for the wavefrom creation.

If the Generation Mode property is T2 Gateway then the toolkit saves the generated T2_MI Packets in the file specified.

DVB-T2 Generation Handle In

Waveform File Path specifies the file location for the Waveform File Path. The toolkit saves the generated waveform in the file.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Oversampling Enabled.vi

Configures the Oversampling Enabled property in the DVB-T2 Signal Generation handle. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

DVB-T2 Generation Handle In

Oversampling Enabled ? specifies the Oversampling Enabled property. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of the DVB-T2 Signal Generation handle.
The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

The Default Sampling rates
Bandwidth Sampling rate (MSPS)
8MHz 64/7
7MHz 8
6MHz 48/7
5MHz 40/7

DVB-T2 Generation Handle In

Output Sampling Rate specifies the Output Sampling Rate (Hz). The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

The Default Sampling rates
Bandwidth Sampling rate (MSPS)
8MHz 64/7
7MHz 8
6MHz 48/7
5MHz 40/7

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Sample Width.vi

Configures the Sample Width property in the DVB-T2 Signal Generation handle. The toolkit uses this value only when MaxEye DVB-T2 SG Multiple PLP Generate and Save Waveform API VI is used for storing the generated waveform in the file.

If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

DVB-T2 Generation Handle In

Sample Width specifies the Sample Width of the generated waveform. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Load Configuration From File.vi

Configures the Load Configuration from File and Configuration File Path properties in the DVB-T2 Signal Generation Handle. This VI loads the signal configuration stored in the configuration file.

The default value of Load Configuration from file is False and Configuration File Path is empty.

DVB-T2 Generation Handle In

Load Configuration from File ? specifies whether to load the file in which the signal configuration is saved. The default value is false.

Configuration File Path specifies the File Path of the stored signal configuration.
The Configuration File Path by default is empty.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Save Configuration To File.vi

Configures the Save Configuration to File and Configuration File Path properties in the DVB-T2 Signal Generation Handle. This VI saves the complete signal configuration in a binary file for future usage. Use this configuration file to load the saved configurations by enabling Load Configurations from file.

The default value of Save Configuration to file is False and Configuration File Path is empty.

DVB-T2 Generation Handle In

Save Configuration to File ? specifies whether the complete signal configuration is stored in the file or not.
The default value is False.

Configuration File Path specifies the file path. The complete signal configuration is stored in a binary file for future usage. Use this configuration file to load the saved configurations by enabling Load Configurations from file.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Close Handle.vi

Closes the DVB-T Signal Generation handle and resources associated with it.

DVB-T2 Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set T2 Base Lite Enabled.vi

Configures the T2 Base Lite Flag in the DVB-T2 Signal generation handle. The valid enum values are Disabled and Enabled.

If T2 Base Lite Flag is Enabled then the current T2-base profile signal is compatible with the T2-LITE profile i.e. it uses parameters consistent with all of the restrictions of annex I of ETSI EN 302 755 V1.3.1, except that it uses one of the S1 signalling types T2_SISO.

The default enum value is disabled.

DVB-T2 Generation Handle In

T2 Base Lite Flag specifies the T2 Base Lite Flag . The valid enum values are Disabled and Enabled.

If T2 Base Lite Flag is Enabled then the current T2-base profile signal is compatible with the T2-LITE profile i.e. it uses parameters consistent with all of the restrictions of annex I of ETSI EN 302 755 V1.3.1, except that it uses one of the S1 signalling types T2_SISO.

The default enum value is disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set T2 Profile Mode.vi

Configures the T2 Profile Mode in the DVB-T2 signal generation handle. The valid enum values are T2 Base, T2 Lite and T2 Base + T2 Lite.

The default enum value is T2 Base.

DVB-T2 Generation Handle In

T2 Profile Mode specifies the T2 Profile Mode . The valid enum values are T2 Base, T2 Lite and T2 Base + T2 Lite.

The default enum value is T2 Base.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Modulator Input File Paths.vi

Configures Number of Modulator input file Paths in the DVB-T2 Signal Generation handle. The toolkit ignores this property if Generation Mode is not T2 Modulator.

If the T2 Modulator is need to generate waveform for only one Entity (either T2 Base or T2 Lite) then the Modulator requires one T2-MI Packet file path and Number of Modulator input file Paths property is set to be 1.

If the T2 Modulator is need to generate waveform for two Entities (T2 Base and T2 Lite in T2 Base FEF) then the Modulator requires two T2-MI Packet file paths(one for T2 Base and other for T2 Lite) and Number of Modulator input file Paths property is set to be 2.

The toolkit generates an error if the number of file paths are 2 or 1 and there are no file paths.

The default Number of Modulator input file Paths is 1.

DVB-T2 Generation Handle In

No. of Modulator Input File Paths specefies the Number of Modulator input file Paths. The toolkit ignores this property if Generation Mode is not T2 Modulator.

If the T2 Modulator is need to generate waveform for only one Entity (either T2 Base or T2 Lite) then the Modulator requires one T2-MI Packet file path and Number of Modulator input file Paths property is set to be 1.

If the T2 Modulator is need to generate waveform for two Entities (T2 Base and T2 Lite in T2 Base FEF) then the Modulator requires two T2-MI Packet file paths(one for T2 Base and other for T2 Lite) and Number of Modulator input file Paths property is set to be 2.

The toolkit generates an error if the number of file paths are 2 or 1 and there are no file paths.

The default Number of Modulator input file Paths is 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Generation Mode .vi

Configures the Generation Mode in the DVB-T2 Signal Generation handle.
1)If the Genration Mode is T2 System then toolkit generates DVB T2 Modulated waveform.
2)If the Generation Mode is T2 Modulator then toolkit takes T2-MI File as an input and generates DVB T2 Modulated waveform.
3)If the Generation Mode is T2 Gateway then toolkit generates T2-MI Packets.

Note: If the Mode is T2 Modulator then toolkit ignores all other properties except the Number of SuperFrames and Modulator input File Path.

DVB-T2 Generation Handle In

FFT Size Specifies the Generation Mode.
1)If the Genration Mode is T2 System then toolkit generates DVB T2 Modulated waveform.
2)If the Generation Mode is T2 Modulator then toolkit takes T2-MI File as an input and generates DVB T2 Modulated waveform.
3)If the Generation Mode is T2 Gateway then toolkit generates T2-MI Packets.

Note: If the Mode is T2 Modulator then toolkit ignores all other properties except the Number of SuperFrames and Modulator input File Path.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Reference Strem Mode.vi

Configures the Reference stream Mode Enabled property in the DVB-T2 Signal Generation handle. If this property is set to enabled then the toolkit configures T2 System parameters according to the DVB T2 test streams which was mentioned by DVB group. For more information about reference stream test cases, refer http://www.dvb.org/standards/dvb-t2.

If the Reference Stream Mode is enabled then the toolkit ignores all other properties except the following PLP specific properties.

1. Payload Mode
2. Common Mode Splitting Enabled
3. Program Number
4. New TS ID
5. Number of Programs
6. TS File Path
7. VV Model Test Case

The default value is disabled.

DVB-T2 Generation Handle In

Reference Stream Mode specifies the Reference stream Mode Enabled. If this property is set to enabled then the toolkit configures T2 System parameters according to the DVB T2 test streams which was mentioned by DVB group.
If the Reference Stream Mode is enabled then the toolkit ignores all other properties except the following PLP specific properties.

1. Payload Mode
2. Common Mode Splitting Enabled
3. Program Number
4. New TS ID
5. Number of Programs
6. TS File Path
7. VV Model Test Case

The default value is disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set VV Model Test Case.vi

Configures the Validation and Verification (VV) model test case property in the DVB-T2 Signal Generation handle. The toolkit ignores this property if Refrence stream mode is Disabled. The valide values are 1 to 20, 34 to 41 for single PLP cases and 450 to 468 for multiple PLP cases.

The default value is 450.

DVB-T2 Generation Handle In

VV Model Tesr Case specifies the Validation and Verification (VV) model test case. The toolkit ignores this property if Refrence stream mode is Disabled. The valide values are 1 to 20, 34 to 41 for single PLP cases and 450 to 468 for multiple PLP cases.

The default value is 450.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Bandwidth.vi

Configures the value for Bandwidth property, in Hz in the DVB-T2 Signal Generation handle. The signal bandwidth determines the IFFT sampling frequency and IQ rate of the generated complex waveform. The valid enum values for the signal bandwidth are 1.7Mhz, 5Mhz, 6Mhz, 7Mhz, 8Mhz and 10Mhz.

The default value is 8MHz.

DVB-T2 Generation Handle In

BandWidth specifies the value for Bandwidth property, in Hz. The signal bandwidth determines the IFFT sampling frequency and IQ rate of the generated complex waveform. The valid enum values for the signal bandwidth are 1.7Mhz, 5Mhz, 6Mhz, 7Mhz, 8Mhz and 10Mhz.
The default value is 8MHz.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Carrier Mode.vi

Configures the DVB-T2 signal generation Carrier Mode. The valid enum values are "Normal Mode" and "Extended Mode". In the extended carrier mode, the number of data carriers is extended , for a given FFT mode. The number of data sub-carriers for "Normal Mode" and "Extended Mode" is given in Table-66 "OFDM Parameters" of "ETSI EN 302 755 V1.3.1 (2012-04), Digital Video Broadcasting (DVB);Frame structure channel coding and modulation for a second generation digital terrestrial television broadcasting system (DVB-T2)".

The Extended carrier mode is supported only for 8K, 16K and 32K FFT Modes. The default value Carrier Mode is "Extended Mode"

DVB-T2 Generation Handle In

Carrier Mode specifies the DVB-T2 Signal Generation Carrier Mode. The valid enum values are "Normal Mode" and "Extended Mode". In the extended carrier mode, the number of data carriers is extended , for a given FFT mode.
The Extended carrier mode is supported only for 8K, 16K and 32K FFT Modes. The default value Carrier Mode is "Extended Mode"

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set FFT Size.vi

Configures the FFT Size in the DVB-T2 signal generation handle. The valid enum values are 1K, 2K, 4K, 8K, 16K and 32K. The carrier mode property determines the number of subcarriers used for data, pilot and other control information. The total number of data subcarriers used for different modes can be found in Table-66 "OFDM Parameters" of "ETSI EN 302 755 V1.3.1 (2011-02), Digital Video Broadcasting (DVB);Frame structure channel coding and modulation for a second generation digital terrestrial television broadcasting system (DVB-T2)"

The default value is 32K.

DVB-T2 Generation Handle In

FFT Size specifies the FFT Size. The valid enum values are 1K, 2K, 4K, 8K, 16K and 32K. The carrier mode property determines the number of subcarriers used for data, pilot and other control information. The total number of data subcarriers used for different modes can be found in Table-66 "OFDM Parameters" of "ETSI EN 302 755 V1.3.1 (2011-02), Digital Video Broadcasting (DVB);Frame structure channel coding and modulation for a second generation digital terrestrial television broadcasting system (DVB-T2)"
The default value is 32K.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Guard Interval.vi

configures the Guard Interval property in the DVB-T2 signal generation handle. The valid enum values for the Guard Interval property are 1/32, 1/16, 1/8, 1/4, 1/128, 19/128 and 19/256. The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size.

As per the ETSI Specification, some combinations of the Guard Interval and FFT sizes are not suppored. The toolkit returns an error if the FFT Size and Guard Interval is not a valid combination. For more information about the supported FFT Size and Guard Interval combinations refer ETSI EN 302 755 V1.3.1 (2012-04), Section 9.7 and Table 67.

The default value is 1/128.

DVB-T2 Generation Handle In

Guard Interval specifies the Guard Interval property. The valid enum values for the Guard Interval property are 1/32, 1/16, 1/8, 1/4, 1/128, 19/128 and 19/256. The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size. The default value is 1/128.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PilotPattern.vi

Configures the Pilot pattern in the DVB-T2 Signal Generation handle. For information about the scattered pilot patterns refer, section 9.2.3.1 "Locations of the scattered pilots" of the document ETSI EN 302 755 V1.3.1 (2012-04). The valid enum values are PP1, PP2, PP3, PP4, PP5, PP6, PP7 and PP8.

The default value is "PP7"

DVB-T2 Generation Handle In

Pilot Patttern specifies the Pilot pattern. The valid enum values are PP1, PP2, PP3, PP4, PP5, PP6, PP7 and PP8.

The default value is "PP7"

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Data Symbols.vi

Configures the Number of Data symbols in the DVB-T2 Signal Generation handle. This value does not include P1 and P2 symbols. The miminum value for this property is 3 for 32K FFT Size and 7 for all other FFT Sizes.

The toolkit returns an error if the length of T2 frame exceeds 250ms. The T2 frame length is computed based on the FFT Size, Guard Interval, Number of Data Symbols, Number of P2 Symbols and Bandwidth.

The valid values are from 3 to 4095. The default value is 25.

DVB-T2 Generation Handle In

Number of Data Symbols specifies the Number of Data symbols. This value does not include P1 and P2 symbols. The miminum value for this property is 3 for 32K FFT Size and 7 for all other FFT Sizes.
The valid values are from 3 to 4095. The default value is 25.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set MISO Mode.vi

Configures the Multiple input single output (MISO) Enabled property in the DVB-T2 Signal Generation handle. If this property is set to enabled then the toolkit creates an two waveforms corresponding to the transmitter 1 and transmitter 2. For more information refer to ETSI EN 302 755 V1.3.1 (2012-04),Section 9.1.

The default value is Disabled.

DVB-T2 Generation Handle In

MISO Enabled specifies the Multiple input single output (MISO) Enabled. If this property is set to enabled then the toolkit creates an two waveforms corresponding to the transmitter 1 and transmitter 2. The default value is Disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of PLPs.vi

Configures the Number of PLPs in the DVB-T2 Signal Generation handle.

The valid values are from 1 to 255. The default Number of PLP is 1.

DVB-T2 Generation Handle In

Number of PLPs specifies the Number of PLPs. The valid values are from 1 to 255. The default Number of PLP is 1.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Cell ID.vi

Configures the Cell ID in the DVB-T2 signal generation handles. This information is carried in L1-pre signalling. This is a 16-bit field which uniquely identifies a geographic cell in a DVB-T2 network. A DVB-T2 cell coverage area may consist of one or more frequencies, depending on the number of frequencies used per T2 system. If the provision of the CELL_ID is not foreseen, this field shall be set to '0'.

The defualt value is 0.

DVB-T2 Generation Handle In

Cell ID specifies the Cell ID. This information is carried in L1-pre signalling. This is a 16-bit field which uniquely identifies a geographic cell in a DVB-T2 network. The defualt value is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set T2 System ID.vi

Configures the T2 System ID property in the DVB-T2 Signal Generation handle. This information is signalled in L1-pre signalling. This 16-bit field uniquely identifies a T2 system within the DVB network (identified by NETWORK_ID).

The defualt value is 32769.

DVB-T2 Generation Handle In

T2 System ID specifies the T2 System ID. This information is signalled in L1-pre signalling. This 16-bit field uniquely identifies a T2 system within the DVB network (identified by NETWORK_ID).

The defualt value is 32769.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Network ID.vi

Configures the Network ID in the DVB-T2 signal generation handle. This is signalled in L1-pre signalling . This is a 16-bit field which uniquely identifies the current DVB network.

The defualt value is 12421.

DVB-T2 Generation Handle In

Network ID specifies the Network ID. This is signalled in L1-pre signalling . This is a 16-bit field which uniquely identifies the current DVB network.
The defualt value is 12421.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Super Frames.vi

Configures the Number of Super Frames property in the DVB-T2 signal generation handle. The toolkit uses the same superframe configuration for all the superframes and the payload is continuous across superframes.

The default value is 1.

DVB-T2 Generation Handle In

Number of Super Frames specifies the Number of Super Frames. The default value is 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of T2 Frames.vi

Configures the Number of T2 frames property in the DVB-T2 signal generation handle. The maximum number of T2 frames is limited by the duration of the super frame. The maximum super frame duration is 64s. For more information regarding the length of the super frame, refer section 8.2 "Super-frame" of ETSI EN 302 755 V1.3.1 (2012-04).

The default value is 1.

DVB-T2 Generation Handle In

Number of T2 Frames specifies the Number of T2 frames . The maximum number of T2 frames is limited by the duration of the super frame. The maximum super frame duration is 64s.
The default value is 1.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Subslices Per Frame.vi

Configures the Number of Subslices in the DVB-T2 Signal Generation handle for the given PLP Index. The toolkit returns an error if the combination of number of subslices and PLP modulation type combination is not valid for TYPE 2 PLPs. The toolkit ignores this property if there are no TYPE 2 PLPs. For more information refer ETSI EN 302 755 V1.3.1 (2012-04), Section 6.5. and Annexture K

The default value is 1.

DVB-T2 Generation Handle In

Number of Subslices Per Frame specifies the Number of Subslices for the given PLP Index. The toolkit ignores this property for PLP Types Common PLP and Type1 PLP. This property is used for Type2 PLPs in the Time Interleaver for subslicing the FEC blocks.
The default value is 1.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set T2 Version.vi

Configuration the version of the T2 Standard in the DVB-T2 Signal Generation handle. The valid values are "1.1.1","1.2.1" and "1.3.1".

The default value is "1.2.1".

DVB-T2 Generation Handle In

T2 Version specifies the version of the T2 Standard. The valid values are "1.1.1","1.2.1" and "1.3.1".
The default value is "1.2.1".

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set L1 ACE Max.vi

Configures L1 ACE Maximum value in in the DVB-T2 Signal Generation handle. The toolkit ignores this property if L1 ACE PAPR is disabled.

The default value is 0.

DVB-T2 Generation Handle In

L1 ACE Max specifies L1 ACE Maximum value. The toolkit ignores this property if L1 ACE PAPR is disabled. The default value is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PAPR Reduction.vi

Configures the PAPR Reduction property in the DVB-T2 Signal Generation handle. If the T2 Version is 1.3.1 or 1.2.1 is selected then L1 ACE and P2 TR should be choosen. For more information refer ETSI EN 302 755 V1.3.1 (2012-04), sections 7.2.2 and 9.6.

The default value is No PAPR.

DVB-T2 Generation Handle In

PAPR Enabled specifies the PAPR Enabled property. If this property is set to enabled then either L1 ACE or Tone Reservation or both can be selected depending upon the T2 Version. If the T2 Version is 1.3.1 or 1.2.1 is selected then PAPR must be enabled and L1 ACE and P2 TR should be choosen.
The default value is Enabled.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set TR V Clip.vi

Configures the Tone Reservation(TR) V-Clip property, in volts, in the DVB-T2 Signal Generation handle. The toolkit ignores this property if PAPR TR property is Disabled.

The default value is 3.5.

DVB-T2 Generation Handle In

TR V-Clip specifies the Tone Reservation(TR) V-Clip, in volts, in the DVB-T2 Signal Generation handle. The toolkit ignores this property if PAPR TR property is Disabled.
The default value is 3.5.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Max TR Iterations.vi

Configures the Maximum Number of Iterations property in the DVB-T2 signal generation handle. The toolkit performs Tone Reservation based PAPR reduction algorithm as defined in the section 9.6.2 "PAPR reduction using tone reservation" of "ETSI EN 302 755 V1.3.1 (2012-04)" and limits the number of iteration to this value. The toolkit ignores this property if the PAPR Reduction property is set to Disabled.

The default value is 1.

DVB-T2 Generation Handle In

Max TR Iterations specifies the Maximum Number of Iterations property. The toolkit performs Tone Reservation based PAPR reduction algorithm as defined in the section 9.6.2 "PAPR reduction using tone reservation" of "ETSI EN 302 755 V1.3.1 (2012-04)" and limits the number of iteration to this value. The toolkit ignores this property if the PAPR Reduction property is set to Disabled. The default value is 1.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Headroom.vi

Configures the Head room property in the DVB-T2 Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Hear room value should be higher than PAPR of the signal.

The default value is 12 dB.

DVB-T2 Generation Handle In

Headroom, dB specifies the Head room property. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Hear room value should be higher than PAPR of the signal. The default value is 12 dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set L1 Modulation.vi

Configures the L1 Modulation property in the DVB-T2 Signal Generation handle.
The enum values are BPSK,QPSK, 16QAM and 64QAM.

The default value is 64 QAM.

DVB-T2 Generation Handle In

L1 Modulation specifies the L1 Modulation property.The enum values are BPSK,QPSK, 16QAM and 64QAM. The default value is 64 QAM.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set L1 Repetation Flag.vi

Configures the L1 Repetation Flag property in the DVB-T2 Signal Generation handle . If this property is set to enabled then the L1 Signalling includes L1 Dynamic signalling information for the current and next T2 Frame.

The default value is Disabled.

DVB-T2 Generation Handle Out

L1 Repetation flag specifies the L1 Repetation Flag property. If this property is set to enabled then the L1 Signalling includes L1 Dynamic signalling information for the current and next T2 Frame. The default value is Disabled.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set L1 Post Extension.vi

Configures the L1 Post Extension Enabled property in the DVB-T2 Signal Generation handle. If this property is set to Enabled then L1 extension data is transmitted in the L1 signalling.

The default value is Disabled.

DVB-T2 Generation Handle In

L1 Extension specifies the L1 Post Extension Enabled property. If this property is set to Enabled then L1 extension data is transmitted in the L1 signalling.
The default value is Disabled.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set L1 Post Scrambling.vi

Configures L1 Post Scrambling Enabled property in the DVB-T2 Signal Generation handle. The toolkit ignores this property if the T2 Version is set to older version than "1.3.1".

The default value is disabled.

DVB-T2 Generation Handle In

L1 Scrambling specifies L1 Post Scrambling Enabled property . The toolkit ignores this property if the T2 Version is set to older version than "1.3.1".
The default value is disabled.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set L1 Extension Data length.vi

Configures L1 Extentension data length in the DVB-T2 Signal Generation handle. The toolkit ignores this property if L1 Extension is Disabled.

The default L1 Extension data lentgh is 0.

DVB-T2 Generation Handle In

L1 Extension Data length specifies L1 Extentension data length. The toolkit ignores this property if L1 Extension is Disabled. The default L1 Extension data lentgh is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of L1 Bias Balancing Cells.vi

Configures the Number of L1 Bias Balancing Cells in the DVB-T2 Signal Generation handle. If the number of L1 bias balancing cells are zero then L1 bias Balancing is not applied to P2 symbols. L1 bias balancing cells are used to reduce the imbalance in the number of 1's and 0's in the L1 signalling.

The default value is 0.

DVB-T2 Generation Handle In

Num L1 Bias Blancing Cells specifies the Number of L1 Bias Balancing Cells. If the number of L1 bias balancing cells are zero then L1 bias Balancing is not applied to P2 symbols. L1 bias balancing cells are used to reduce the imbalance in the number of 1's and 0's in the L1 signalling. The default value is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set FEF Enabled .vi

Configures Future Extension Frame (FEF) Enabled property in the DVB-T2 Signal Generation handle. If this property is enabled then the toolkit inserts the FEF Frames in between the T2 Frames of a Super frame depending on the parameter FEF Interval. As per the ETSI specification, the last part of the superframe should be FEF.

The Default value is Disabled.

DVB-T2 Generation Handle In

FEF Enabled specifies Future Extension Frame (FEF) Enabled property. If this property is enabled then the toolkit inserts the FEF Frames in between the T2 Frames of a Super frame depending on the parameter FEF Interval. As per the ETSI specification, the last part of the superframe should be FEF.
The Default value is Disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set FEF Type.vi

Configures the FEF Type in the DVB-T2 Signal Generation handle. FEF Type is intended for the further identification of the FEF used in the system. It is currently reserved for the future use. For more information refer ETSI TS 102 831 V1.2.1 (2012-08), Section 6.1.7.2.

The toolkit ignores this property if FEF Enabled is set to Disabled. The default value of FEF type is 0.

DVB-T2 Generation Handle In

FEF Type is intended for the further identification of the FEF used in the system. It is currently reserved for the future use. The toolkit ignores this property if FEF Enabled is set to Disabled. The default value of FEF type is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set FEF Length.vi

Configures the FEF Length in terms of Elementary period(Samples) in the DVB-T2 Signal Generation handle. The toolkit ignores this property if FEF Enabled is set to Disabled. The FEF length includes start of FEF P1 Symbol to start of T2 frame P1 Symbol.

The default FEF Length is 0.

DVB-T2 Generation Handle In

FEF Length specifies the FEF Length in terms of Elementary period(Samples). The toolkit ignores this property if FEF Enabled is set to Disabled. The FEF length includes start of FEF P1 Symbol to start of T2 frame P1 Symbol.
The default FEF Length is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set FEF Interval.vi

Configures the FEF Interval in the DVB-T2 Signal Generation handle. This value indicates the number of T2 Frames between two FEF parts in a Super frame. The toolkit ignores this property if FEF Enabled is set to Disabled.

The toolkit returns an error if the number of FEF parts with in a superframe is not a integer. The number of FEF parts is equal to Number of T2 Frames/FEF Interval.

The default Frame interval is 0.

DVB-T2 Generation Handle In

FEF Interval specifies the FEF Interval. This value indicates the number of T2 Frames between two FEF parts in a Super frame. The toolkit ignores this property if FEF Enabled is set to Disabled.
The default Frame interval is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set S1.vi

Configures the S1 field in the DVB-T2 Signal Generation handle. It indicates the S1 value for creation of P1 symbol in the FEF part of the Super frame. For more information refer ETSI TS 102 831 V1.2.1 (2012-08), section 6.1.7.2.

The default S1 value is 2.

DVB-T2 Generation Handle In

S1 specifies the S1 value for the creation of P1 symbol in the FEF part of the Super frame. The default S1 value is 2.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set S2.vi

Configures the S2 field in the DVB-T2 Signal Generation handle. It indicates the S2 value for creation of P1 symbol in the FEF part of the Super frame. For more information refer ETSI TS 102 831 V1.2.1 (2012-08), section 6.1.7.2.

The default S2 value is 0.

DVB-T2 Generation Handle In

S2 specifies the S2 value for creation of P1 symbol in the FEF part of the Super frame. The default S2 value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Auxillary Streams.vi

Configures the number of auxillary streams in the DVB-T2 Signal Generation handle. Auxillay stream data is is sent after all the PLPs in the T2 Frame. For more information refer ETSI EN 302 755 V1.3.1 (2012-04), section 8.3.7.

The default value is 0.

DVB-T2 Generation Handle In

Number of Auxillary Streams specifies the number of auxillary streams. Auxillay stream data is is sent after all the PLPs in the T2 Frame. The default value is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Auxillary Tx Sig Enabled.vi

Configures the Auxillary Transmitter Signature Enabled property in the DVB-T2 Signal Generation handle . If this property is set to Enabled then transmitter signature is inserted in the Auxillary streams. For more information refer ETSI TS 102 992 V1.1.1(2010-09).

The default value is Disabled.

DVB-T2 Generation Handle In

Auxillary Tx Signature Enabled specifies the Auxillary Transmitter Signature Enabled property. If this property is set to Enabled then transmitter signature is inserted in the Auxillary streams.
The default value is Disabled.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Auxillary Tx ID.vi

Configures the Transmitter ID in the DVB-T2 Signal Generation handle. For more information refer ETSI TS 102 992 V1.1.1(2010-09),Section 5.2.

The valid values are from 0 to 3071. The Default value is 0.

DVB-T2 Generation Handle In

Tx ID specifies the Transmitter ID. The valid values are from 0 to 3071.
The Default value is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Tx Sig Per Aux Stream.vi

Configures number of Transmit signature M in the DVB-T2 Signal Generation handle. The toolkit ignores this property, If Number of Auxillary Streams is 0 or Auxillary Transmitter signature is Disabled .

The valid values are 3, 6, 9, ..., 3 066,3069,3072. For more information refer ETSI TS 102 992 V1.1.1 (2010-09),section 5.4.1.

The default value is 3.

DVB-T2 Generation Handle In

Number of Tx Sig Per Aux Stream specifies number of Transmit signature M. The valid values are 3, 6, 9, ..., 3 066,3069,3072.
The default value is 3.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of T2 Frames Per Tx Sig.vi

Configures the number of T2 Frames (L) per Transmitter signature in the DVB-T2 Signal Generation handle. The valid values are from 1 to 256. For more information refer ETSI TS 102 992 V1.1.1 (2010-09), section 5.4.1.

The default value is 1.

DVB-T2 Generation Handle In

Number of T2 Frames Per Tx Sig specifies the number of T2 Frames (L) per Transmitter signature. The valid values are from 1 to 256.
The default value is 1.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Cells in T2 Frame Per Transmitter(N).vi

Configures the Number of Cells(N) in T2 Frame per transmitter in the DVB-T2 Signal Generation handle . This value indicates the number of cells per transmitter with in the auxillary stream, For more information refer ETSI TS 102 992 V1.1.1 (2010-09), Section 5.4.1.

The default value is 0.

DVB-T2 Generation Handle In

Number of Cells in T2 Frame Per Transmitter(N) specifies the Number of Cells(N) in T2 Frame per transmitter. This value indicates the number of cells per transmitter with in the auxillary stream.
The default value is 0.

Entity Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Parameters.vi

Configures the PLP Configuration properties in the DVB-T2 Signal generation handle. The help for the each of the PLP Configuration properties can be found in the proeprty specific API VIs. This API is used for configuring the multiple PLP properties using the cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

DVB-T2 Generation Handle In

PLP Configuration specifies the configuration properties for multiple PLP.
MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

PLP Configuration specifies the configuration properties for multiple PLP.
MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP ID.vi

Configures the PLP ID in the DVB-T2 signal generation handle for the given PLP Index. The toolkit returns an error if two or more PLPs in a group have same PLP ID.

The valid values are from 0 o 255. The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

PLP ID specifies the PLP Id for the corresponding PLP Index.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Group ID.vi

Configures PLP Group ID in the DVB-T2 Signal Generation handle for the given PLP Index.

The valid values are 0 to 255. The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

PLP Group ID specifies PLP Group ID for the given PLP Index.
The valid values are 0 to 255. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Modulation.vi

Configures the Modulation Type property in the DVB-T2 Signal Generation handle for the given PLP Index. The valid values for the modulation schemes are QPSK, 16QAM, 64QAM and 256QAM.

The default value is 256QAM.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Modulation Type specifies the Modulation Type for the given PLP Index. The valid values for the modulation schemes are QPSK, 16QAM, 64QAM and 256QAM.
The default value is 256QAM.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Type.vi

Configures the PLP Type in the DVB-T2 Signal Generation handle for the given PLP Index. The valid values are "Common","Type 1"and "Type 2".

The toolkit returns an error if the PLP group has more than one Common PLP.

The default value is Type 1.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

PLP TYPE specifies the PLP Type for the given PLP Index. The valid values are "Common","Type 1"and "Type 2".
The default value is Type 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set FEC Frame Length.vi

Configures the FEC Frame Length in the DVB-T2 Signal Generation handle for the given PLP Index. This property determines the size of the FEC Frame, if this value is set to Short, then the size of the FEC Frame is 16200 and for Long the size of the FEC Frame is 64800. The valid values are Short(0) and Long (1).

The defualt value is Long(1).

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

FEC Frame Length specifies the FEC Frame Length for the given PLP Index. This property determines the size of the FEC Frame, if this value is set to Short, then the size of the FEC Frame is 16200 and for Long the size of the FEC Frame is 64800. The valid values are Short(0) and Long (1).
The defualt value is Long(1).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set LDPC Code Rate.vi

Configures the LDPC Encoder rate property in the DVB-T2 Signal Generation handle for given PLP Index. The following rates are supported: 1/2, 3/5, 2/3, 3/4, 4/5 and 5/6. The details of the LDPC encoder parameters can be found in the Table 6(a),(b): Coding parameters of "ETSI EN 302 755 V1.3.1 (2012-04)".

The defualt value is 3/4.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

LDPC Code Rate specifies the LDPC Encoder rate property for given PLP Index. The following rates are supported: 1/2, 3/5, 2/3, 3/4, 4/5 and 5/6. The defualt value is 3/4.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Mode.vi

Configures the PLP Mode in the DVB-T2 Signal Generation handle for the given PLP Index. The valid values are "High Efficiency Mode (HEM)" or "Normal Mode (NM)".

The default value is HEM.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

PLP Mode specifies the PLP Mode for the given PLP Index. The valid values are "High Efficiency Mode (HEM)" or "Normal Mode (NM)".
The default value is HEM.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Null Packet Deletion.vi

Configures the Null Packet deletion Enabled property in the DVB-T2 Signal Generation handle for the given PLP Index. If this property is set to Enabled then Null TS packets are removed from the PLP Stream and Null packet counter is updated. The NULL Packet Deletion is based on certain conditions specified in the ETSI Standard. For more information, refer section 5.1.5 of "ETSI EN 302 755 V1.3.1 (2012-04)" standard.

The default value is Disabled.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Null Packet Deletion specifies the Null Packet deletion Enabled for the given PLP Index. If this property is set to Enabled then Null TS packets are removed from the PLP Stream and Null packet counter is updated. The default value is Disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set ISSY Enabled.vi

Configures the Input Stream Synchronization(ISSY) Enabled property in the DVB-T2 Signal Generation handle for the given PLP Index. If this property is configured then the ISSY carries the value of a counter clocked at the modulator clock rate (1/T where T is Elemetary period). For more information refer ETSI EN 302 755 V1.3.1 (2012-04), Section 5.1.3.

The toolkit returns an error if this property is set to disabled and all the following conditions are not met.

1) NUM_PLP=1; and
2) DFL=KBCH-80 in every BBFRAME; and
3) PLP_NUM_BLOCKS=PLP_NUM_BLOCKS_MAX in every interleaving frame; and
4) Null Packet Deletion is not used (i.e. NPD=0); and
5) FEFs are not used (i.e. S2='XXX0').

The default ISSY is Enabled.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

ISSY Enabled specifies the Input Stream Synchronization(ISSY) Enabled property for the given PLP Index. If this property is configured then the ISSY carries the value of a counter clocked at the modulator clock rate (1/T where T is Elemetary period). The default ISSY is Enabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set ISSY Length.vi

Configures ISSY Length in the DVB-T2 Signal Generation handle for given PLP Index. The toolkit ignores this property if ISSY Enabled is set to Disabled.

The following enums are supported: "Long" and "Short". The length of the ISSY Field is 3 bytes for Long and 2 bytes for short. The defualt value is "Long".

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

ISSY Length specifies ISSY Length for given PLP Index. The toolkit ignores this property if ISSY Enabled is set to Disabled. The following enums are supported: "Long" and "Short". The length of the ISSY Field is 3 bytes for Long and 2 bytes for short. The defualt value is "Long".

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Time Interleaver Type.vi

Configures the Time Interleaver Type property in the DVB-T2 Signal Generation handle for the given PLP Index. The valid values are "Type 0" and "Type 1"

The default value is TYPE 1.

DVB-T2 Generation Handle In

PLP Index specifies the PLP index.

Time Interleaver Type specifies the Time Interleaver Type for the given PLP Index. The valid values are "Type 0" and "Type 1"
The default value is TYPE 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Time Interleaver Length.vi

Configures the Time Interlever Length property in the DVB-T2 Signal Generation handle for the given PLP Index. If the Time Interleaver Type is set to ‘0’, Time Interleaver length specifies the number of TI block per Interleaving Frame . If the Time Interleaver Type is set to ‘1’, this parameter specifies the number of T2-frames(PI) to which each Interleaving Frame is mapped.

The default value is 1.

DVB-T2 Generation Handle In

PLP Index specifies the PLP index.

Time Interleaver Length specifies the Time Interlever Length for the given PLP Index. If the Time Interleaver Type is set to ‘0’, Time Interleaver length specifies the number of TI block per Interleaving Frame . If the Time Interleaver Type is set to ‘1’, this parameter specifies the number of T2-frames(PI) to which each Interleaving Frame is mapped.
The default value is 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Frame Interval.vi

Configures the Frame interval (IJump) property in the DVB-T2 Signal Generation handle for the given PLP Index. For PLPs which do not appear in every T2 frame of the Super frame, set the value of this parameter equal to the interval between successive T2 frames.

The default Frame Interval value is 1.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Frame Interval specifies the Frame interval (IJump) property for the given PLP Index. For PLPs which do not appear in every T2 frame of the Super frame, set the value of this parameter equal to the interval between successive T2 frames. The default Frame Interval value is 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set First Frame Index.vi

Configures the First Frame Index in the DVB-T2 Signal Generation handle for the given PLP Indes. The First frame Index specifies the first T2 frame of super frame in which the PLP occurs. The value of First frame index should be less than Frame Interval (IJump).

The toolkit returns an error if the First Frame Index value is greater than or equal to Number of T2 Frames and if the value is greater than or equal to Frame Inteval (IJump).

The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

First Frame Index specifies the First Frame Index for the given PLP Indes. The First frame Index specifies the first T2 frame of super frame in which the PLP occurs. The value of First frame index should be less than Frame Interval (IJump).
The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Buffer Size.vi

Configures the Buffer Size(BUFS), in bits, in the DVB-T2 Signal Generation handle for the given PLP Index. Buffer size is the requested size of the receiver buffer to compensate delay variations. This information is sent in ISSY field. This property must be configured if ISSY is enabled.

When a group of data PLPs share a common PLP, the sum of the buffer size for any one data PLP in the group plus the buffer size for the common PLP shall not exceed 2 Mbits. For more informatin refer ETSI EN 302 755 V1.3.1 (2012-04), Annex C ,Section C.1.1.

The valid values are from 0 to 2097152. The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Buffer Size specifies the Buffer Size(BUFS), in bits, for the given PLP Index. Buffer size is the requested size of the receiver buffer to compensate delay variations. This information is sent in ISSY field. This property must be configured if ISSY is enabled.
The valid values are from 0 to 2097152. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Design Delay in Samples.vi

Configures Design Delay in terms of Elementary Period(Samples) in the DVB-T2 Signal Generation handle. This is signalled in ISSY field. If Design Delay is set to 0, the toolkit computes the value of design delay based on T2 Frame length, Interleaving frame parameters (PI, IJump,NTI), FEF Parameters. For more information about the Design Delay computation refer ETSI TS 102 831 V1.2.1 (2012-08) :Implementation guidelines for a second generation digital terrestrial television broadcasting system (DVB-T2) , section 8.8.3.

The default value is 0.

DVB-T2 Generation Handle

PLP Index specifies the PLP Index.

Design Delay, Samples specifies Design Delay in terms of Elementary Period(Samples). This is signalled in ISSY field. If Design Delay is set to 0, the toolkit computes the value of design delay based on T2 Frame length, Interleaving frame parameters (PI, IJump,NTI), FEF Parameters.
The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Rotation Enabled.vi

Configures the PLP Rotation Enabled in DVB-T2 Signal Generation Handle for the given PLP Index. For more information about PLP Rotation, refer section 6.3 "Constellation Rotation and Cyclic Q Delay" of the document ETSI EN 302 755 V1.3.1 (2012-04).

The default value is Enabled.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

PLP Rotation Enabled specifies the PLP Rotation Enabled for the given PLP Index.
The default value is Enabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Max Number of FEC Blocks.vi

Configures the Maximum number of Forward Error Correction (FEC) blocks property in the DVB-T2 Signal Generation handle for the given PLP Index. This property specifies the maximum number of FEC blocks in one Interleaving frame per. For more infomation about this property, refer section 6 "Bit-interleaved coding and modulation" of "ETSI EN 302 755 V1.3.1 (2012-04)".

The toolkit returns an error if the value of this property exceeds the capacity of the PLP.

The default value is 1.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Max Number of FEC Blocks specifies the Maximum number of Forward Error Correction (FEC) blocks for the given PLP Index. This property specifies the maximum number of FEC blocks in one Interleaving frame per. The default value is 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Bit Rate.vi

Configures the PLP Bit Rate property in the DVB-T2 Signal Generation hanlde for the given PLP Index. This property specifies the bitrate of the input TS file for each PLP. If the bitrate of the user configured value is higher than the actual TS bitrate of the file then the toolkit remultiplexes the ts file to this bitrate.

If the payload mode is set to Big-TS then all the PLP should be configured with the same PLP Bit Rate. If the PLP Bit Rate is 0 then the toolkit internally computes the bitrate of the Big-TS file.

If the payload mode is set to Separate TS and Common PLP Splitting is enabled then all the PLP should be configured with the same PLP Bit Rate. If the PLP Bit Rate is 0 then the toolkit internally computes the bitrate of the Separate TS Files for each PLP. The maximum bitrate of all the PLPs in a group is used to remultiplex the TS files to match the bitrate and enable Common PLP Splitting.

If the payload mode is set to Separate TS and Common PLP Splitting is disabled, then the PLP bitrate can be different for each PLP. In this case all the PLPs including common PLP bitrate should be configured.

If the payload mode is PN Sequence this property must be configured to compute the bitrate of PN Sequence bits generation.

The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

PLP Bit Rate specifies the PLP Bit Rate for the given PLP Index.
The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set InBand A Flag.vi

Configures InBand Type A Enabled property in the DVB-T2 Signal Generation handle for the given PLP Index. If this property is enabled then InBand type A block carries L1 dynamic signalling for the next Interleaving Frame of a PLP or multiple PLPs is inserted in the PADDING field of the first BBFRAME of current Interleaving Frame of each PLP. If number of PLPs are greater than 1 and the current PLP interleaving frame is mapped to one T2 Frame (PI and IJump are 1) then this value should be set to Enabled. For more information refer ETSI EN 302 755 V1.3.1 (2012-04),Section 5.2.3.1.

The default In Band A Flag is Disabled.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

InBand A Flag specifies InBand Type A Enabled property for the given PLP Index.
The default In Band A Flag is Disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set InBand B FLag.vi

Configures InBandB Flag property in the DVB-T2 Signal Generation handle for the given PLP Index. If this property is enabled then InBand type B block shall carry additional information related to the Input Processing for the PLP containing the type B block. The use of InBand type B is optional.

For more information refer ETSI EN 302 755 V1.3.1 (2012-04),Section 5.2.3.2.

The default value is disbaled.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

InBand B Flag specifies InBandB Flag property for the given PLP Index. If this property is enabled then InBand type B block shall carry additional information related to the Input Processing for the PLP containing the type B block. The use of InBand type B is optional. The default value is disbaled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Number of Other PLP In Band.vi

Configures the number of other PLPs in the DVB-T2 Signal Generation handle for the given PLP Index. If this property is set to greater than 0 then InBandA Other PLP ID should be configured. For more information refer ETSI EN 302 755 V1.3.1 (2012-04),Section 5.2.3.1.

The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Number of other PLP IN BAND specifies the number of other PLPs for the given PLP Index. If this property is set to greater than 0 then InBandA Other PLP ID should be configured. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set InBand A Other PLP Ids.vi

Configures the InBand A Other PLP IDs in the in the DVB-T2 Signal Generation handle for the given PLP Index. If the number of other PLPs are set to greater than 0 then the PLP IDs of all other PLPs excluding the current PLP IS should be configured. The toolkit returns an error if the number of other PLP IDs configured is less than the value set for Number of Other PLP in In Band property.

The default value is an empty array.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

InBand A Other PLP Ids specifies the InBand A Other PLP IDs for the given PLP Index. If the number of other PLPs are set to greater than 0 then the PLP IDs of all other PLPs excluding the current PLP IS should be configured.
The default value is an empty array.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Payload Mode.vi

Configures the Payload mode in the DVB-T2 Signal Generation handle for the given PLP Index. The valid values are "PN Sequence" ,"BigTS" and "Separate TS". If the Payload Mode is set to "Big TS", then the toolkit extracts the TS packets from the Big TS File correspoinding to the program numbers (service ids) configured in the Program Number property. Program Number and Number of Programs for each PLP in the PLP group should be configured. In the Big-TS mode, All the PLPs in the same PLP group should be configured with the same TS file path.

The toolkit returns an error if the payload mode is different for the PLPs with in a group.

If the Payload Mode is set to "Separate TS" then each PLP in the PLP group should be configured with separate TS File Paths. If the group has a common PLP and Common PLP Splitting is enabled then the toolkit internally generates the data for the common PLP. If the group has a common PLP and Common PLP Splitting is disabled then common PLP file path also should be configured.

For more details about Big TS file splitting into N PLP TS files and also generation of common PLP data from the separate TS files please refer ETSI TS 102 831 V1.2.1 (2012-08), Sections 8.2,8.3

The default value is PN Sequence.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Payload Mode specifies the Payload mode for the given PLP Index. The valid values are "PN Sequence" ,"BigTS" and "Separate TS".
The default value is PN Sequence.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set TS File Path.vi

Configures the the TS File Path property in the DVB-T2 Signal generation handle for the given PLP Index.

The default value is empty path.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

TS File Path specifies the the TS File Path for the given PLP Index.
The default value is empty path.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Common PLP Spiltting Enabled.vi

Configures the Common PLP Splitting Enabled in the DVB-T2 Signal Generation handle for the given PLP Index. If this property is set to be enabled then the toolkit splits N TS Streams in a Group into N+1 TS Streams (Common PLP) depending upon the common PLP splitting rules mentioned in ETSI EN 302 755 V1.3.1 (2012-04), Annexture D.

The toolkit ignores this property for the PLPs if the PLP Type not Common.

The default value is Disabled.

DVB-T2 Generation Handle In

PLP Index

Common PLP Splitting Enabled specifies the Common PLP Splitting Enabled property for the given PLP Index. If this property is set to be enabled then the toolkit splits N TS Streams in a Group into N+1 TS Streams (Common PLP) depending upon the common PLP splitting rules mentioned in ETSI EN 302 755 V1.3.1 (2012-04), Annexture D.
The default value is Disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP Number of Programs.vi

Configures the PLP Number of Programs property in the DVB-T2 Signal Generation handle for the given PLP Index.

The valid values are 0 to 8. The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Number of Programs specifies the PLP Number of Programs for the given PLP Index.
The valid values are 0 to 8. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Program Number.vi

Configures the Program Number propety in the DVB-T2 Signal Generation Handle for the given PLP Index. The toolkit ignores this property if the payload mode is set to PN Sequence and Separate TS File mode.

If the payload mode is set to Big-TS File mode the toolkit uses this property to extract the TS packets belonging to this PLP by identifying the PIDs for the configured Program Numbers or Service Identifers. For more information about the Big-TS splitting refer ETSI TS 102 831 V1.2.1 (2012-08), section 8.2.2. The toolkit returns an error if the configured program numbers are not present in the Big-TS File.

The default value is an empty array.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Program Number specifies the Program Number for the given PLP Index. The toolkit ignores this property if the payload mode is set to PN Sequence and Separate TS File mode.
The default value is an empty array.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set PLP New TS ID.vi

Configures the New TS ID property in the DVB-T2 Signal Generation handle for the given PLP Index. The toolkit ignores this property if the payload mode is set to PN Sequence and Separate TS.

The toolkit returns an error if two or more PLPs have same TS ID.

The valid values are 0 to 65535. The default value is 0.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

New TS ID specifies the New TS ID property for the given PLP Index.
The valid values are 0 to 65535. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Payload PN Order.vi

Configures the Payload PN Order property in the DVB-T2 Signal Generation handle for the given PLP Index. The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.

The default value for the Payload PN Order property is 9.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Payload PN Order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.

The default value for the Payload PN Order property is 9.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Payload PN Seed.vi

Configures the Payload PN Seed property in the DVB-T2 Signal Generation handle for the given PLP Index. The PN Seed specifies the initialization value of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.

The default value for the Payload PN Seed property is 0xBEEFBEEF.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Payload PN Seed specifies the initialization value of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.

The default value for the Payload PN Seed property is 0xBEEFBEEF.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Sync Insertion Enabled.vi

Configures the Sync Insertion Enabled property in the DVB T2 Generation handle. If this property is set to True and the Payload Mode property is set to other than MPEG2TS File(s) mode then the toolkit inserts the MPEG2 TS bitstream header byte value (0x47) at the beginning of every 188 bytes.

The default value is False.

DVB-T2 Generation Handle In

PLP Index specifies the PLP Index.

Sync Insertion Enabled specifies the Sync Insertion Enabled property. If this property is set to True and the Payload Mode property is set to other than MPEG2TS File(s) mode then the toolkit inserts the MPEG2 TS bitstream header byte value (0x47) at the beginning of every 188 bytes.

The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Impairment Configuration.vi

Configures the Impairments properties in the DVB-T2 Signal generation handle. The help for the each of the Impariment properties can be found in the property specific API VIs. This API is used for configuring the multiple Impairment properties using the Impairment cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

DVB-T2 Generation Handle In

Impairments specifies the Impairments properties. This API is used for configuring the multiple Impairment properties using the Impairment cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Impairments Enabled.vi

Configures the Impairments Enabled property in the DVB-T2 Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

The valid values are True and False. The default value is False.

DVB-T2 Generation Handle In

Impairments Enabled ? specifies the Impairments Enabled property. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.
The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set AWGN Enabled.vi

Configures the AWGN Enabled property in the DVB-T2 Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

The valid values are True and False. The default value is False.

DVB-T2 Generation Handle In

AWGN Enabled specifies the AWGN Enabled property. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.
The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Carrier to Noise Ratio.vi

Configures the value for the Carrier to Noise ratio property, in dB in the DVB-T2 Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

The default value is 50dB.

DVB-T2 Generation Handle In

Carrier to Noise Ratio, dB specifies the value for the Carrier to Noise ratio, in dB. This value specifies the Carrier to Noise ratio of the generated signal.
The default value is 50dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Frequency Offset.vi

Configures the value for the Frequency Offset property, in Hz in the DVB-T2 Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

The default value is 0.

DVB-T2 Generation Handle In

Frequency offset, Hz specifies the value for the Frequency Offset property. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Clock Offset.vi

Configures the value for the Clock Offset property, in PPM, in the DVB-T2 Signal Generation handle. The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

DVB-T2 Generation Handle In

Clock Offset (PPM) specifies the value for the Clock Offset , in PPM. The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.
The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set I DC Offset.vi

Configures the I DC Offset, in % in the DVB-T2 Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

The default value is 0.

DVB-T2 Generation Handle In

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Q DC Offset.vi

Configures the value for Q DC Offset property, in % in the DVB-T2 Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

The default value is 0.

DVB-T2 Generation Handle In

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set IQ Gain Imbalance.vi

Configures the value for the IQ Gain Imbalance property, in dB in the DVB-T2 Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

The default value is 0.

DVB-T2 Generation Handle In

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Quadrature Skew.vi

Configures the value for Quadrature skew Property in degrees in the DVB-T2 Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

The default value for the Quadrature Skew is 0.

DVB-T2 Generation Handle In

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Multipath Channel Enabled.vi

Configures the Multipath channel Enabled property in the DVB-T2 Signal Generation handle. If this property is set to Enabled then the toolkit simulates the static Multipath channel based on the path delay,path gain and path phase to output waveform.

The default value is disabled.

DVB-T2 Generation Handle In

Mutlipath Channel specifies the Multipath channel Enabled property. If this property is set to Enabled then the toolkit simulates the static Multipath channel based on the path delay,path gain and path phase to output waveform.
The default value is disabled.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T2 Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T2 Multiple PLP Set Multipath Gain in dB.vi

Configures the Path Gain in terms of dB in the DVB-T2 Signal Generation handle.

Path Gain for the each path needs to be configured and the path sequence order should be same as Path Delay and Path Phase.

The default value is an empty array.

DVB-T2 Generation Handle In

Path Power, dB specifies the Path Gain in terms of dB. Path Gain for the each path needs to be configured and the path sequence order should be same as Path Delay and Path Phase. The default value is an empty array.

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T2 Generation Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T2 Multiple PLP Set Multipath Delay in micro seconds.vi

Configures Path Delay, in microseconds, in the DVB-T2 Signal Generation handle.

Path Delay for the each path needs to be configured and the path sequence order should be same as Path Gain and Path Phase.

The default value is empty array.

DVB-T2 Generation Handle In

Path Delay, mico seconds specifies Path Delay, in microseconds. Path Delay for the each path needs to be configured and the path sequence order should be same as Path Gain and Path Phase. The default value is empty array.

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T2 Generation Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T2 Multiple PLP Set Multipath Phase in radians.vi

Configures the Path Phase. in radians, in the DVB-T2 Signal Generation handle.

Path Phase for the each path needs to be configured and the path sequence order should be same as Path Delay and Path Gain.

The default value is an empty array.

DVB-T2 Generation Handle In

Path Phase, radians specifies the Path Phase. in radians Path Phase for the each path needs to be configured and the path sequence order should be same as Path Delay and Path Gain. The default value is an empty array.

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T2 Generation Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.